Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Class TextSourceViewerConfiguration

    java.lang.Object
      org.eclipse.jface.text.source.SourceViewerConfiguration
          org.eclipse.ui.editors.text.TextSourceViewerConfiguration

public class TextSourceViewerConfiguration
extends SourceViewerConfiguration

Source viewer configuration for the text editor.

Since:
  3.0

Constructor Summary
`TextSourceViewerConfiguration()` Creates a text source viewer configuration.
`TextSourceViewerConfiguration(IPreferenceStore preferenceStore)` Creates a text source viewer configuration and initializes it with the given preference store.

Method Summary
`IAnnotationHover` | `getAnnotationHover(ISourceViewer sourceViewer)` Returns the annotation hover which will provide the information to be shown in a hover popup window when requested for the given source viewer.This implementation always returns `null`.
`int` | `getTabWidth(ISourceViewer sourceViewer)` Returns the visual width of the tab character.

Methods inherited from class org.eclipse.jface.text.source.SourceViewerConfiguration
`getAutoIndentStrategy, getConfiguredContentTypes, getConfiguredDocumentPartitioning, getConfiguredTextHoverStateMasks, getContentAssistant, getContentFormatter, getDefaultPrefixes, getDoubleClickStrategy, getIndentPrefixes, getInformationControlCreator, getInformationPresenter, getOverviewRulerAnnotationHover, getPresentationReconciler, getReconciler, getTextHover, getTextHover, getUndoManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSourceViewerConfiguration

    public TextSourceViewerConfiguration()

  Creates a text source viewer configuration.

### TextSourceViewerConfiguration

    public TextSourceViewerConfiguration(IPreferenceStore preferenceStore)

  Creates a text source viewer configuration and initializes it with the given preference store.

Parameters:
  `preferenceStore` - the preference store used to initialize this configuration

Method Detail

### getAnnotationHover

    public IAnnotationHover getAnnotationHover(ISourceViewer sourceViewer)

  Description copied from class: `SourceViewerConfiguration`
  Returns the annotation hover which will provide the information to be shown in a hover popup window when requested for the given source viewer.This implementation always returns `null`.

  Overrides:
    `getAnnotationHover` in class `SourceViewerConfiguration`
  Parameters:
    `sourceViewer` - the source viewer to be configured by this configuration
  Returns:
    an annotation hover or `null` if no hover support should be installed

### getTabWidth

    public int getTabWidth(ISourceViewer sourceViewer)

  Description copied from class: `SourceViewerConfiguration`
  Returns the visual width of the tab character. This implementation always returns 4.

  Overrides:
    `getTabWidth` in class `SourceViewerConfiguration`
  Parameters:
    `sourceViewer` - the source viewer to be configured by this configuration
  Returns:
    the tab width

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.